javax.jnlp

## Interface JNLPRandomAccessFile

All Superinterfaces:
  java.io.DataInput, java.io.DataOutput

All Known Implementing Classes:
  XJNLPRandomAccessFile

    public interface JNLPRandomAccessFile
    extends java.io.DataInput, java.io.DataOutput

### Method Summary

Methods
`void` `close()`
`long` `getFilePointer()`
`long` `length()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`boolean` `readBoolean()`
`byte` `readByte()`
`char` `readChar()`
`double` `readDouble()`
`float` `readFloat()`
`void` `readFully(byte[] b)`
`void` `readFully(byte[] b, int off, int len)`
`int` `readInt()`
`java.lang.String` `readLine()`
`long` `readLong()`
`short` `readShort()`
`int` `readUnsignedByte()`
`int` `readUnsignedShort()`
`java.lang.String` `readUTF()`
`void` `seek(long pos)`
`void` `setLength(long newLength)`
`int` `skipBytes(int n)`
`void` `write(byte[] b)`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`
`void` `writeBoolean(boolean v)`
`void` `writeByte(int v)`
`void` `writeBytes(java.lang.String s)`
`void` `writeChar(int v)`
`void` `writeChars(java.lang.String s)`
`void` `writeDouble(double v)`
`void` `writeFloat(float v)`
`void` `writeInt(int v)`
`void` `writeLong(long v)`
`void` `writeShort(int v)`
`void` `writeUTF(java.lang.String str)`

### Method Detail

#### close

    void close()
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### length

    long length()
                throws java.io.IOException

Throws:
  `java.io.IOException`

#### getFilePointer

    long getFilePointer()
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### read

    int read()
             throws java.io.IOException

Throws:
  `java.io.IOException`

#### read

    int read(byte[] b,
           int off,
           int len)
             throws java.io.IOException

Throws:
  `java.io.IOException`

#### read

    int read(byte[] b)
             throws java.io.IOException

Throws:
  `java.io.IOException`

#### readFully

    void readFully(byte[] b)
                   throws java.io.IOException

Specified by:
  `readFully` in interface `java.io.DataInput`
Throws:
  `java.io.IOException`

#### readFully

    void readFully(byte[] b,
                 int off,
                 int len)
                   throws java.io.IOException

Specified by:
  `readFully` in interface `java.io.DataInput`
Throws:
  `java.io.IOException`

#### skipBytes

    int skipBytes(int n)
                  throws java.io.IOException

Specified by:
  `skipBytes` in interface `java.io.DataInput`
Throws:
  `java.io.IOException`

#### readBoolean

    boolean readBoolean()
                        throws java.io.IOException

Specified by:
  `readBoolean` in interface `java.io.DataInput`
Throws:
  `java.io.IOException`

#### readByte

    byte readByte()
                  throws java.io.IOException

Specified by:
  `readByte` in interface `java.io.DataInput`
Throws:
  `java.io.IOException`

#### readUnsignedByte

    int readUnsignedByte()
                         throws java.io.IOException

Specified by:
  `readUnsignedByte` in interface `java.io.DataInput`
Throws:
  `java.io.IOException`

#### readShort

    short readShort()
                    throws java.io.IOException

Specified by:
  `readShort` in interface `java.io.DataInput`
Throws:
  `java.io.IOException`

#### readUnsignedShort

    int readUnsignedShort()
                          throws java.io.IOException

Specified by:
  `readUnsignedShort` in interface `java.io.DataInput`
Throws:
  `java.io.IOException`

#### readChar

    char readChar()
                  throws java.io.IOException

Specified by:
  `readChar` in interface `java.io.DataInput`
Throws:
  `java.io.IOException`

#### readInt

    int readInt()
                throws java.io.IOException

Specified by:
  `readInt` in interface `java.io.DataInput`
Throws:
  `java.io.IOException`

#### readLong

    long readLong()
                  throws java.io.IOException

Specified by:
  `readLong` in interface `java.io.DataInput`
Throws:
  `java.io.IOException`

#### readFloat

    float readFloat()
                    throws java.io.IOException

Specified by:
  `readFloat` in interface `java.io.DataInput`
Throws:
  `java.io.IOException`

#### readDouble

    double readDouble()
                      throws java.io.IOException

Specified by:
  `readDouble` in interface `java.io.DataInput`
Throws:
  `java.io.IOException`

#### readLine

    java.lang.String readLine()
                              throws java.io.IOException

Specified by:
  `readLine` in interface `java.io.DataInput`
Throws:
  `java.io.IOException`

#### readUTF

    java.lang.String readUTF()
                             throws java.io.IOException

Specified by:
  `readUTF` in interface `java.io.DataInput`
Throws:
  `java.io.IOException`

#### seek

    void seek(long pos)
              throws java.io.IOException

Throws:
  `java.io.IOException`

#### setLength

    void setLength(long newLength)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### write

    void write(int b)
               throws java.io.IOException

Specified by:
  `write` in interface `java.io.DataOutput`
Throws:
  `java.io.IOException`

#### write

    void write(byte[] b)
               throws java.io.IOException

Specified by:
  `write` in interface `java.io.DataOutput`
Throws:
  `java.io.IOException`

#### write

    void write(byte[] b,
             int off,
             int len)
               throws java.io.IOException

Specified by:
  `write` in interface `java.io.DataOutput`
Throws:
  `java.io.IOException`

#### writeBoolean

    void writeBoolean(boolean v)
                      throws java.io.IOException

Specified by:
  `writeBoolean` in interface `java.io.DataOutput`
Throws:
  `java.io.IOException`

#### writeByte

    void writeByte(int v)
                   throws java.io.IOException

Specified by:
  `writeByte` in interface `java.io.DataOutput`
Throws:
  `java.io.IOException`

#### writeShort

    void writeShort(int v)
                    throws java.io.IOException

Specified by:
  `writeShort` in interface `java.io.DataOutput`
Throws:
  `java.io.IOException`

#### writeChar

    void writeChar(int v)
                   throws java.io.IOException

Specified by:
  `writeChar` in interface `java.io.DataOutput`
Throws:
  `java.io.IOException`

#### writeInt

    void writeInt(int v)
                  throws java.io.IOException

Specified by:
  `writeInt` in interface `java.io.DataOutput`
Throws:
  `java.io.IOException`

#### writeLong

    void writeLong(long v)
                   throws java.io.IOException

Specified by:
  `writeLong` in interface `java.io.DataOutput`
Throws:
  `java.io.IOException`

#### writeFloat

    void writeFloat(float v)
                    throws java.io.IOException

Specified by:
  `writeFloat` in interface `java.io.DataOutput`
Throws:
  `java.io.IOException`

#### writeDouble

    void writeDouble(double v)
                     throws java.io.IOException

Specified by:
  `writeDouble` in interface `java.io.DataOutput`
Throws:
  `java.io.IOException`

#### writeBytes

    void writeBytes(java.lang.String s)
                    throws java.io.IOException

Specified by:
  `writeBytes` in interface `java.io.DataOutput`
Throws:
  `java.io.IOException`

#### writeChars

    void writeChars(java.lang.String s)
                    throws java.io.IOException

Specified by:
  `writeChars` in interface `java.io.DataOutput`
Throws:
  `java.io.IOException`

#### writeUTF

    void writeUTF(java.lang.String str)
                  throws java.io.IOException

Specified by:
  `writeUTF` in interface `java.io.DataOutput`
Throws:
  `java.io.IOException`